MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027818Open CASCADE[OCCT] OCCT:Visualizationpublic2016-08-29 14:372017-10-23 17:08
Reportervpa 
Assigned Tokgv 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027818: Visualization - provide an interface to define highlight presentation properties
DescriptionNow it is impossible to set up custom highlight presentation properties for global highlight mode. For local selection, SelectMgr_SelectableObject::myHilightDrawer is available, but it is ignored completely by global selection.

Therefore, it is necessary to provide flexible interface to define highlight presentation properties, such as highlight mode (box/color), color and transparency.
Steps To Reproducev3d/materials/bug27818_1
v3d/materials/bug27818_2
TagsNo tags attached.
Test case numberv3d materials bug27818_1, bug27818_2
Attached Filespng file icon part2_opaque.png (138,684 bytes) 2016-09-23 21:32
png file icon part2_transp.png (153,410 bytes) 2016-09-23 21:32

- Relationships
parent of 0027988closedapn Open CASCADE Visualization, AIS_InteractiveContext - fix inconsistent methods for setting highlight styles 
parent of 0028061closedapn Open CASCADE Samples - Highlighting of any object with "Hidden On" option leads to crash in mfc Modeling 
parent of 0029051closedbugmaster Open CASCADE Visualization, TKOpenGl - wrong color of transparent dynamic highlight with OIT tuned ON 
related to 0027617closedbugmaster Open CASCADE Visualization, TKOpenGl - apply highlighting color without disabling lighting 
related to 0000468closedbugmaster Community AIS Limitations 
related to 0025695closedapn Community Visualization, AIS_InteractiveContext - define default HilightMode 
related to 0028127closedapn Open CASCADE Visualization - transparent object breaks Z-Layer depth buffer clear 
related to 0029254newkgv Community [Regression to OCCT 7.1.0] Programmatically highlighting AIS_Trihedron is not possible anymore 

-  Notes
(0057880)
git (administrator)
2016-09-16 20:28

Branch CR27818 has been created by vpa.

SHA-1: 522e950ca73c1507203292e5e8383ecd120686c6


Detailed log of new commits:

Author: vpa
Date: Thu Sep 8 20:17:18 2016 +0300

    0027818: Visualization - provide an interface to define highlight presentation properties
    
    - introduces a wrapper for setting up highlight properties: Graphic3d_HighlightStyle;
    - API of all methods that use highlight or selection color is changed to deal with Graphic3d_HighlightStyle;
    - highlight in shading mode now supports transparency, implemented via blending;
    - transparency for selection can also be set, but implementing custom entity owners with additional presentation on application level;
    - methods PrsMgr_PresentationManager::Highlight, PrsMgr_PresentationManager::BoundBox that highlight object with hard-coded color are removed;
    - deprecated methods of SelectMgr_EntityOwner, that use presentation manager's highlight method, were removed;
    - methods of IsHilighted AIS context with selection color checks were replaced;
    - introduced new command - vselprops, that allows to customize global selection properties like autoactivation, pixel tolerance and colors;
    - fixed bug in command's parser;
    - test case for issue 0027818
(0057881)
vpa (developer)
2016-09-16 20:31

Dear Kirill,

please review patches in branch CR27818 of OCCT git repository and branch CR27818 of OCCT Products git repository.
(0057882)
kgv (developer)
2016-09-16 21:50

--- a/src/AIS/AIS_GlobalStatus.cxx
+++ b/src/AIS/AIS_GlobalStatus.cxx
-myHiCol(Quantity_NOC_WHITE),
+myHiStyle(new Graphic3d_HighlightStyle (Aspect_TOHM_COLOR, Quantity_NOC_WHITE, 0.0)),
...
-myHiCol(TheHiCol),
+myHiStyle(new Graphic3d_HighlightStyle (Aspect_TOHM_COLOR, TheHiCol, 0.0)),
...
--- a/src/Graphic3d/Graphic3d_Structure.cxx
+++ b/src/Graphic3d/Graphic3d_Structure.cxx
+  myHiStyle               (new Graphic3d_HighlightStyle (Aspect_TOHM_COLOR, Quantity_NOC_WHITE)),

Allocation of myHiStyle looks redundant in constructors - it is expected to be always overridden and NULL should identify no highlighting.

-    aStatus->SetHilightColor(Quantity_NOC_WHITE);
+    aStatus->SetHilightStyle (NULL);

Please avoid using NULL for passing / initialization of handles.
Call default handle constructor explicitly instead.

+    theStyle = NULL;

theStyle.Nullify();

+Standard_Boolean AIS_InteractiveContext::HighlightStyle (const Handle(SelectMgr_EntityOwner)& theOwner,

+    const Handle(AIS_InteractiveObject) anObj =
+      Handle(AIS_InteractiveObject)::DownCast (theOwner->Selectable());
+    theStyle = theOwner == anObj->GlobalSelOwner() ? myObjects (anObj)->HilightStyle() : mySelStyle;


It looks weird that method returns mySelStyle for local selection...

+  Handle(Graphic3d_HighlightStyle)& HighlightStyle()
...
+  Handle(Graphic3d_HighlightStyle)& SelectionStyle()

ChangeHighlightStyle() or better SetHighlightStyle().

+      if (aSelIter.Value()->Selectable() == theObj)

It might be better avoiding creating a Handle and compare pointers directly.

+//=======================================================================
+//function : highlightWithSubintensity
+//purpose  :
+//=======================================================================
+void AIS_InteractiveContext::turnOnSubintensity

Inconsistent header.

+  const Quantity_Color aSelectionColor = mySelStyle->Color();
+  mySelStyle->ChangeColor (mySubIntensity);
...
+  mySelStyle->ChangeColor (aSelectionColor);

Why mySelStyle is modified within turnOnSubintensity()/highlightWithSubintensity()?

+    Handle(Graphic3d_HighlightStyle) aCustomStyle = NULL;
...
+  Handle(Graphic3d_HighlightStyle) aStyle = NULL;

NULL assignment is redundant.

-      if (hasHiCol && aHiCol!= mySelectionColor)
+      if (!mySelStyle->IsEqual (aCustomStyle))

Should not styles compared by as Handles?

+  if (HighlightStyle (theObject, aCustomStyle))
   {
+    if (!mySelStyle->IsEqual (aCustomStyle))
     {
+      HilightWithColor (theObject, mySelStyle, Standard_False);
     }
   }
   else
   {
+    HilightWithColor (theObject, mySelStyle, Standard_False);

if (!HighlightStyle (theObject, aCustomStyle)
  || mySelStyle != aCustomStyle)
{

+  Handle(Graphic3d_HighlightStyle) myHighlightStyle;

Why myHighlightStyle is needed by AIS_Manipulator?

+// Created on: 2016-08-24
+// Created by: Varvara POSKONINA
+// Copyright (c) 1999-2014 OPEN CASCADE SAS

Inconsistent info.

+//! A class that wraps customization of highlighting for both
+//! whole interactive context and interacitve objects.
+class Graphic3d_HighlightStyle : public Standard_Transient

Misprints and confusing description.

+  //! Creates default style that will highlight the shape
+  //! with yellow color without transparency
+  Graphic3d_HighlightStyle

Why "shape"?

+  Graphic3d_HighlightStyle (const Handle(Graphic3d_HighlightStyle)& theOther)

Is there any use in constructor taking a Handle?

+  void ChangeHighlightMethod (const Aspect_TypeOfHighlightMethod theMethod)
+  void ChangeColor (const Quantity_Color& theColor)
+  void ChangeTransparency (const Standard_Real theTranspCoef)

SetMethod(), SetColor(), SetTransparency()

+  const Aspect_TypeOfHighlightMethod HighlightMethod() const

Method()

+  //!< Defines if the object will be highlighted by some of its presentations or by its bounding 
box
+  Aspect_TypeOfHighlightMethod myHiMethod;

Unrelated comment.

+  DEFINE_STANDARD_RTTI_INLINE (Graphic3d_HighlightStyle, Standard_Transient)

Please put into .cxx

+      && myHiColor.SquareDistance (theOther->myHiColor) < Quantity_Color::Epsilon() * 
Quantity_Color::Epsilon()

Why method Quantity_Color::IsEqual() is not used?

+      myCStructure->HighlightWithColor (
+        Graphic3d_Vec4 (static_cast<Standard_ShortReal>(myHiStyle->Color().Red()),
+                        static_cast<Standard_ShortReal>(myHiStyle->Color().Green()),
+                        static_cast<Standard_ShortReal>(myHiStyle->Color().Blue()),

There is an operator for casting Quantity_Color to Graphic3d_Vec3 without these extra float->double->float conversions - please use it.

+  Quantity_Color               myHiColor;        //!< 3-component highlight color
+  Standard_Real                myTransparency;   //!< Transparency coefficient

Quantity_ColorRGBA.

+    myHiStyle->ChangeColor (aColor);
+    thePM->Color (this, myHiStyle, aHiMode, NULL, Graphic3d_ZLayerId_Top);
+    myHiStyle->ChangeColor (Quantity_NOC_GRAY80);

Bad logic.

+    const Standard_Boolean isHighlightWithTransparency = toHilight &&
+      myDrawMode > GL_LINE_STRIP &&
+      theWorkspace->InteriorColor().w() > 0.05f;

It is unclean what W component means in color computation logic.

+    if (isHighlightWithTransparency)
+    {
+      glEnable (GL_BLEND);
+      glBlendFunc (GL_SRC_ALPHA, GL_ONE_MINUS_SRC_ALPHA);
+    }
     drawArray (theWorkspace, aFaceColors, hasColorAttrib);
+    if (isHighlightWithTransparency)
+    {
+      glDisable (GL_BLEND);
+    }

Blending state management is unsafe.

--- a/src/OpenGl/OpenGl_Structure.cxx
+++ b/src/OpenGl/OpenGl_Structure.cxx
+    myHighlightColor = new OpenGl_Vec4();
   }
+
+  memcpy (myHighlightColor->ChangeData(), theColor.GetData(), sizeof (OpenGl_Vec4));

Copying is expected by Handle, not by value.

-  OpenGl_Vec4*               myHighlightColor;
+  OpenGl_Vec4*               myHighlightColor; //!< RGB components of highlight color with opacity


This field is expected to be removed (or at least replaced by Handle(Graphic3d_HighlightStyle)).

-    {
-      return theCtx->MainPrsMgr()->Presentation (theIO, theMode);
-    }
+      return theMode;

Please keep braces.

  aCmd.AddDescription ("Customizes selection parameters for the whole interactive context:");

+
+  aCmd.AddOption ("autoActivate", "... {0|1} - disables|enables default computation and 
activation of global selection mode");
+  aCmd.AddOption ("pixTol",       "... value - sets up pixel tolerance ");
+
+  aCmd.AddOption ("selColor",   "... name  - sets selection color");
+  aCmd.AddOption ("hiColor",    "... name  - sets dynamic highlight color");
+  aCmd.AddOption ("selTransp",  "... value - sets transparency coefficient for selection");

+  aCmd.AddOption ("hiTransp",   "... value - sets transparency coefficient for dynamic 
highlight");
+
+  aCmd.AddOption ("print",      "... -prints current state of all mentioned parameters");


Duplicated description.

+  if (aCmd.HasOption ("help") || theArgsNb == 1)
+  {
+    theDi.PrintHelp (theArgVec[0]);
+    return 0;
+  }

It is better printing current state with no arguments rather then Help.

+  "\n    -selColor  name     : sets selection color"
+    "\n    -hiColor   name     : sets dynamic highlight color"

Inconsistent syntax - other commands in ViewerTest usually supports color argument passed as Name and R G B float components.

+    "\n    Customizes selection parameters for the whole interactive context:"

..selection and highlighting parameters.

- introduced new command - vselprops, that allows to customize global selection properties like autoactivation, 
pixel tolerance and colors;

Commit description does not specify that also two Draw Harness commands have been removed and that new command should be used instead.

Upgrade guide should mention changes in API.
(0058109)
git (administrator)
2016-09-23 21:30

Branch CR27818 has been updated forcibly by vpa.

SHA-1: 5c3b7e80d4c82b1c8ba2c970f07d0ae91f306e17
(0058111)
vpa (developer)
2016-09-23 21:38

Dear Kirill,

please review updated patches in branch CR27818 of OCCT and OCCT products git repositories.
(0058182)
git (administrator)
2016-09-26 19:42

Branch CR27818 has been updated by vpa.

SHA-1: 6654b786eeb6a77d6a859250e4fc27fe1739211e


Detailed log of new commits:

Author: vpa
Date: Mon Sep 26 19:41:47 2016 +0300

    Remarks from APL:
    
    - custom highlight styles of objects are now processed at AIS level;
    - cosmetics

(0058183)
git (administrator)
2016-09-26 19:50

Branch CR27818 has been updated forcibly by vpa.

SHA-1: c66bbc5aabe1bd3439eba0cbbdaa7d90e27f3b12
(0058184)
git (administrator)
2016-09-26 20:11

Branch CR27818_1 has been created by vpa.

SHA-1: 918137a16a59f351836ced775960e997b7424a79


Detailed log of new commits:

Author: vpa
Date: Thu Sep 8 20:17:18 2016 +0300

    0027818: Visualization - provide an interface to define highlight presentation properties
    
    - introduces a wrapper for setting up highlight properties: Graphic3d_HighlightStyle;
    - API of all methods that use highlight or selection color is changed to deal with Graphic3d_HighlightStyle;
    - highlight in shading mode now supports transparency, implemented via blending;
    - transparency for selection can also be set, but implementing custom entity owners with additional presentation on application level;
    - methods PrsMgr_PresentationManager::Highlight, PrsMgr_PresentationManager::BoundBox that highlight object with hard-coded color are removed;
    - deprecated methods of SelectMgr_EntityOwner, that use presentation manager's highlight method, were removed;
    - methods of IsHilighted AIS context with selection color checks were replaced;
    - added API to store dynamic and selection highlight to Prs3d_Drawer class;
    - customization of dynamic and selection highlight for particular objects is now available through SelectMgr_SelectableObject::HilightAttributes();
    - AIS_InteractiveContext highlight methods were updated to support individual highlight styles of interactive objects;
    - introduced new command - vselprops, that allows to customize global selection and highlight properties like autoactivation, pixel tolerance and colors;
    - Draw Harness commands vautoactivatesel and vselprecision were removed, use vselprops instead;
    - fixed bug in command's parser;
    - test case for issue 0027818
(0058185)
vpa (developer)
2016-09-26 20:12

Dear Anton,

please review patch in branch CR27818_1 of OCCT git repository and CR27818 of OCCT Products git repository.
(0058186)
apl (developer)
2016-09-26 20:23

Dear bugmaster,

Please test the patch.
(0058225)
mkv (tester)
2016-09-27 17:53

Dear BugMaster,
Branch CR27818_1 from occt git-repository (and CR27818 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.

There are following compilation errors:
Windows:
http://jenkins-test-07.nnov.opencascade.com:8080/view/CR27818_1-CR27818/job/CR27818_1-CR27818-Products-Windows-64-VC10-qt-samples-windows/1/parsed_console/ [^]
1>src\DocumentSSP.cxx(485): error C2668: 'AIS_InteractiveContext::IsHilighted' : ambiguous call to overloaded function

http://jenkins-test-07.nnov.opencascade.com:8080/view/CR27818_1-CR27818/job/CR27818_1-CR27818-Products-Windows-64-VC10-training/1/parsed_console/ [^]
1>CPPViewer.cpp(127): error C2664: 'AIS_InteractiveContext::HilightWithColor' : cannot convert parameter 2 from 'Quantity_NameOfColor' to 'const opencascade::handle<T> &'

Number of compiler warnings:

occt component :
Linux: 2 (0 on master)
Windows: 0 (0 on master)
MacOS : 3 (0 on master)

products component :
Linux: 66 (64 on master)
Windows: 0 (0 on master)
MacOS : 1139

There are new additional compilation warnings:

http://jenkins-test-07.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/portlet/dashboard_portlet_13912/job/CR27818_1-CR27818-OCCT-Debian70-64-opt-compile/1/warnings17Result/ [^]
Graphic3d_HighlightStyle.hxx:69, GNU C Compiler 4 (gcc), Priority: Normal
type qualifiers ignored on function return type [-Wignored-qualifiers]
Graphic3d_HighlightStyle.hxx:95, GNU C Compiler 4 (gcc), Priority: Normal
type qualifiers ignored on function return type [-Wignored-qualifiers]

http://jenkins-test-07.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/portlet/dashboard_portlet_13912/job/CR27818_1-CR27818-Products-Debian70-64-opt-compile/1/warnings17Result/category.60838306/package.1806011284/ [^]
Graphic3d_HighlightStyle.hxx:69, GNU C Compiler 4 (gcc), Priority: Normal
type qualifiers ignored on function return type [-Wignored-qualifiers]
Graphic3d_HighlightStyle.hxx:95, GNU C Compiler 4 (gcc), Priority: Normal
type qualifiers ignored on function return type [-Wignored-qualifiers]

http://jenkins-test-07.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/portlet/dashboard_portlet_13912/job/CR27818_1-CR27818-OCCT-MacOS-opt-compile/1/warnings7Result/ [^]
Graphic3d_HighlightStyle.hxx:69, Clang (LLVM based), Priority: Normal
'const' type qualifier on return type has no effect
Graphic3d_HighlightStyle.hxx:95, Clang (LLVM based), Priority: Normal
'const' type qualifier on return type has no effect [-Wignored-qualifiers]In file included from /Users/mnt/builds/CR27818_1-CR27818/MacOS-opt/OCCT/src/AIS/AIS_Point.cxx:18:
Graphic3d_HighlightStyle.hxx:95, Clang (LLVM based), Priority: Normal
'const' type qualifier on return type has no effect

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR27818_1-CR27818-OCCT/Debian70-64/v3d/materials/bug27818_1.html [^]
http://occt-tests/CR27818_1-CR27818-OCCT/Windows-64-VC10/v3d/materials/bug27818_1.html [^]
v3d materials bug27818_1: OK
http://occt-tests/CR27818_1-CR27818-OCCT/Debian70-64/v3d/materials/bug27818_2.html [^]
http://occt-tests/CR27818_1-CR27818-OCCT/Windows-64-VC10/v3d/materials/bug27818_2.html [^]
v3d materials bug27818_2: OK

Testing on Linux:
occt component :
Total MEMORY difference: 90597411 / 90241389 [+0.39%]
Total CPU difference: 19392.570000000018 / 19251.609999999877 [+0.73%]
products component :
Total MEMORY difference: 29999234 / 30057668 [-0.19%]
Total CPU difference: 5153.439999999969 / 5152.399999999975 [+0.02%]

Testing on Windows:
occt component :
Total MEMORY difference: 57222750 / 57221541 [+0.00%]
Total CPU difference: 17953.28148439866 / 18310.78897609872 [-1.95%]
products component :
Total MEMORY difference: 21273065 / 21235672 [+0.18%]
Total CPU difference: 4906.044248799945 / 4988.631178199945 [-1.66%]

There are no differences in images found by testdiff.
(0058226)
mkv (tester)
2016-09-27 17:53

Dear vpa,
Branch CR27818_1 has been rejected due to:
- compilation errors
- additional warnings
(0058246)
git (administrator)
2016-09-28 13:06

Branch CR27818_1 has been updated forcibly by vpa.

SHA-1: 8a128492067d7f102211cdf0050828081278ef1e
(0058247)
vpa (developer)
2016-09-28 13:07

Dear Bugmaster,

please test updated patches from branch CR27818_1 of OCCT git repository and CR27818 of OCCT Products git repository.
(0058300)
mkv (tester)
2016-09-29 12:04

Dear BugMaster,
Branch CR27818_1 from occt git-repository (and CR27818 from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 8a128492067d7f102211cdf0050828081278ef1e
SHA-1: 1caa7301f777d7007d37703892bd7a9672425acf

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1143

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR27818_1-CR27818-OCCT/Debian70-64/v3d/materials/bug27818_1.html [^]
http://occt-tests/CR27818_1-CR27818-OCCT/Windows-64-VC10/v3d/materials/bug27818_1.html [^]
v3d materials bug27818_1: OK
http://occt-tests/CR27818_1-CR27818-OCCT/Debian70-64/v3d/materials/bug27818_2.html [^]
http://occt-tests/CR27818_1-CR27818-OCCT/Windows-64-VC10/v3d/materials/bug27818_2.html [^]
v3d materials bug27818_2: OK

Testing on Linux:
occt component :
Total MEMORY difference: 90193120 / 90231199 [-0.04%]
Total CPU difference: 19390.559999999994 / 19251.669999999875 [+0.72%]
products component :
Total MEMORY difference: 30012933 / 30057668 [-0.15%]
Total CPU difference: 5125.42999999997 / 5152.399999999975 [-0.52%]

Testing on Windows:
occt component :
Total MEMORY difference: 57222312 / 57221541 [+0.00%]
Total CPU difference: 17923.968896498613 / 18310.78897609872 [-2.11%]
products component :
Total MEMORY difference: 21273038 / 21235672 [+0.18%]
Total CPU difference: 4896.45018729995 / 4988.631178199945 [-1.85%]

There are no differences in images found by testdiff.
(0058301)
mkv (tester)
2016-09-29 12:05

Dear BugMaster,
Branch CR27818_1 from occt git-repository and CR27818 from products git-repository are TESTED.
(0059449)
git (administrator)
2016-10-28 21:41

Branch CR27818 has been deleted by kgv.

SHA-1: c66bbc5aabe1bd3439eba0cbbdaa7d90e27f3b12
(0059450)
git (administrator)
2016-10-28 21:41

Branch CR27818_1 has been deleted by kgv.

SHA-1: 8a128492067d7f102211cdf0050828081278ef1e

- Related Changesets
occt: master 8e5fb5ea
Timestamp: 2016-09-28 09:43:17
Author: vpa
Committer: kgv
Details ] Diff ]
0027818: Visualization - provide an interface to define highlight presentation properties

- introduces a wrapper for setting up highlight properties: Graphic3d_HighlightStyle;
- API of all methods that use highlight or selection color is changed to deal with Graphic3d_HighlightStyle;
- highlight in shading mode now supports transparency, implemented via blending;
- transparency for selection can also be set, but implementing custom entity owners with additional presentation on application level;
- methods PrsMgr_PresentationManager::Highlight, PrsMgr_PresentationManager::BoundBox that highlight object with hard-coded color are removed;
- deprecated methods of SelectMgr_EntityOwner, that use presentation manager's highlight method, were removed;
- methods of IsHilighted AIS context with selection color checks were replaced;
- added API to store dynamic and selection highlight to Prs3d_Drawer class;
- customization of dynamic and selection highlight for particular objects is now available through SelectMgr_SelectableObject::HilightAttributes();
- AIS_InteractiveContext highlight methods were updated to support individual highlight styles of interactive objects;
- introduced new command - vselprops, that allows to customize global selection and highlight properties like autoactivation, pixel tolerance and colors;
- Draw Harness commands vautoactivatesel and vselprecision were removed, use vselprops instead;
- fixed bug in command's parser;
- test case for issue 0027818
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]
mod - samples/mfc/standard/Common/Primitive/Sample2D_Face.cpp Diff ] File ]
mod - samples/mfc/standard/Common/Primitive/Sample2D_Face.h Diff ] File ]
mod - src/AIS/AIS_DimensionOwner.cxx Diff ] File ]
mod - src/AIS/AIS_DimensionOwner.hxx Diff ] File ]
mod - src/AIS/AIS_GlobalStatus.cxx Diff ] File ]
mod - src/AIS/AIS_GlobalStatus.hxx Diff ] File ]
mod - src/AIS/AIS_GlobalStatus.lxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.hxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.lxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext_1.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext_2.cxx Diff ] File ]
mod - src/AIS/AIS_LocalContext.cxx Diff ] File ]
mod - src/AIS/AIS_LocalContext.hxx Diff ] File ]
mod - src/AIS/AIS_LocalContext_1.cxx Diff ] File ]
mod - src/AIS/AIS_LocalStatus.cxx Diff ] File ]
mod - src/AIS/AIS_LocalStatus.hxx Diff ] File ]
mod - src/AIS/AIS_LocalStatus.lxx Diff ] File ]
mod - src/AIS/AIS_Manipulator.cxx Diff ] File ]
mod - src/AIS/AIS_Manipulator.hxx Diff ] File ]
mod - src/AIS/AIS_ManipulatorOwner.cxx Diff ] File ]
mod - src/AIS/AIS_ManipulatorOwner.hxx Diff ] File ]
mod - src/AIS/AIS_MultipleConnectedInteractive.cxx Diff ] File ]
mod - src/Graphic3d/FILES Diff ] File ]
mod - src/Graphic3d/Graphic3d_CStructure.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_CView.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_CView.hxx Diff ] File ]
add - src/Graphic3d/Graphic3d_HighlightStyle.cxx Diff ] File ]
add - src/Graphic3d/Graphic3d_HighlightStyle.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Structure.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Structure.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_StructureManager.cxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_StructureManager.hxx Diff ] File ]
mod - src/MeshVS/MeshVS_Mesh.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_Mesh.hxx Diff ] File ]
mod - src/MeshVS/MeshVS_MeshEntityOwner.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_MeshEntityOwner.hxx Diff ] File ]
mod - src/MeshVS/MeshVS_MeshOwner.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_MeshOwner.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrimitiveArray.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Structure.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Structure.hxx Diff ] File ]
mod - src/Prs3d/Prs3d_Drawer.cxx Diff ] File ]
mod - src/Prs3d/Prs3d_Drawer.hxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_Presentation.cxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_Presentation.hxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentationManager.cxx Diff ] File ]
mod - src/PrsMgr/PrsMgr_PresentationManager.hxx Diff ] File ]
mod - src/QABugs/QABugs_16.cxx Diff ] File ]
mod - src/QABugs/QABugs_19.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_EntityOwner.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_EntityOwner.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectableObject.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectableObject.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SequenceOfOwner.hxx Diff ] File ]
mod - src/StdSelect/StdSelect_BRepOwner.cxx Diff ] File ]
mod - src/StdSelect/StdSelect_BRepOwner.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_CmdParser.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_CmdParser.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - tests/bugs/vis/bug23012 Diff ] File ]
mod - tests/bugs/vis/bug25532 Diff ] File ]
mod - tests/bugs/vis/bug26159 Diff ] File ]
mod - tests/bugs/vis/bug26413 Diff ] File ]
add - tests/v3d/materials/bug27818_1 Diff ] File ]
add - tests/v3d/materials/bug27818_2 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-08-29 14:37 vpa New Issue
2016-08-29 14:37 vpa Assigned To => kgv
2016-08-29 14:37 vpa Assigned To kgv => vpa
2016-08-29 14:37 vpa Status new => assigned
2016-08-29 14:38 vpa Description Updated View Revisions
2016-09-16 20:28 git Note Added: 0057880
2016-09-16 20:31 vpa Note Added: 0057881
2016-09-16 20:31 vpa Assigned To vpa => kgv
2016-09-16 20:31 vpa Status assigned => resolved
2016-09-16 20:31 vpa Steps to Reproduce Updated View Revisions
2016-09-16 21:50 kgv Note Added: 0057882
2016-09-16 21:51 kgv Assigned To kgv => vpa
2016-09-16 21:51 kgv Severity minor => feature
2016-09-16 21:51 kgv Status resolved => assigned
2016-09-16 21:51 kgv Product Version 7.0.0 =>
2016-09-23 21:30 git Note Added: 0058109
2016-09-23 21:32 vpa File Added: part2_opaque.png
2016-09-23 21:32 vpa File Added: part2_transp.png
2016-09-23 21:38 vpa Note Added: 0058111
2016-09-23 21:38 vpa Assigned To vpa => kgv
2016-09-23 21:38 vpa Status assigned => resolved
2016-09-23 21:38 vpa Steps to Reproduce Updated View Revisions
2016-09-25 14:24 kgv Assigned To kgv => apl
2016-09-26 19:42 git Note Added: 0058182
2016-09-26 19:50 git Note Added: 0058183
2016-09-26 20:11 git Note Added: 0058184
2016-09-26 20:12 vpa Note Added: 0058185
2016-09-26 20:23 apl Note Added: 0058186
2016-09-26 20:23 apl Assigned To apl => bugmaster
2016-09-26 20:23 apl Status resolved => reviewed
2016-09-27 12:02 mkv Assigned To bugmaster => mkv
2016-09-27 17:53 mkv Note Added: 0058225
2016-09-27 17:53 mkv Note Added: 0058226
2016-09-27 17:53 mkv Assigned To mkv => vpa
2016-09-27 17:53 mkv Status reviewed => assigned
2016-09-27 17:54 mkv Test case number => v3d materials bug27818_1, bug27818_2
2016-09-28 13:06 git Note Added: 0058246
2016-09-28 13:06 vpa Status assigned => resolved
2016-09-28 13:07 vpa Note Added: 0058247
2016-09-28 13:07 vpa Assigned To vpa => bugmaster
2016-09-28 13:07 vpa Status resolved => reviewed
2016-09-28 14:25 mkv Assigned To bugmaster => mkv
2016-09-29 12:04 mkv Note Added: 0058300
2016-09-29 12:05 mkv Note Added: 0058301
2016-09-29 12:05 mkv Assigned To mkv => bugmaster
2016-09-29 12:05 mkv Status reviewed => tested
2016-10-03 13:47 kgv Changeset attached => occt master 8e5fb5ea
2016-10-03 13:47 kgv Assigned To bugmaster => kgv
2016-10-03 13:47 kgv Status tested => verified
2016-10-03 13:47 kgv Resolution open => fixed
2016-10-13 11:28 kgv Relationship added related to 0027617
2016-10-13 11:35 kgv Relationship added related to 0000468
2016-10-13 11:53 kgv Relationship added related to 0024999
2016-10-13 15:59 kgv Relationship added related to 0025695
2016-10-21 12:40 kgv Relationship added parent of 0027988
2016-10-28 21:41 git Note Added: 0059449
2016-10-28 21:41 git Note Added: 0059450
2016-11-08 14:04 kgv Relationship added parent of 0028061
2016-11-19 08:58 kgv Relationship added related to 0028127
2016-12-09 16:29 user533 Status verified => closed
2016-12-09 16:40 user533 Fixed in Version => 7.1.0
2016-12-18 00:32 kgv Relationship added related to 0028180
2017-08-25 15:52 kgv Relationship added parent of 0029051
2017-10-23 17:08 kgv Relationship added related to 0029254


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker